org.apache.cassandra.db.columniterator

## Class IdentityQueryFilter

- java.lang.Object
- - org.apache.cassandra.db.filter.SliceQueryFilter
  - - org.apache.cassandra.db.columniterator.IdentityQueryFilter

- All Implemented Interfaces:
    IDiskAtomFilter

      public class IdentityQueryFilter
      extends SliceQueryFilter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.filter.SliceQueryFilter

      `SliceQueryFilter.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.filter.SliceQueryFilter

      `count, reversed, serializer, slices`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityQueryFilter()` Will read entire CF into memory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SuperColumn` | `filterSuperColumn(SuperColumn superColumn, int gcBefore)` subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

    - ### Methods inherited from class org.apache.cassandra.db.filter.SliceQueryFilter

      `collectReducedColumns, finish, getColumnComparator, getLiveCount, getMemtableColumnIterator, getSSTableColumnIterator, getSSTableColumnIterator, includes, isReversed, lastCounted, lastIgnored, lastLive, setStart, start, toString, trim, updateColumnsLimit, withUpdatedCount, withUpdatedSlices`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityQueryFilter

          public IdentityQueryFilter()

      Will read entire CF into memory. Use with caution.

  - ### Method Detail

    - #### filterSuperColumn

          public SuperColumn filterSuperColumn(SuperColumn superColumn,
                                      int gcBefore)

      Description copied from interface: `IDiskAtomFilter`
      subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.
      Specified by:
        `filterSuperColumn` in interface `IDiskAtomFilter`
      Overrides:
        `filterSuperColumn` in class `SliceQueryFilter`
      Parameters:
        `superColumn` - may be modified by filtering op.

Copyright © 2014 The Apache Software Foundation